# Interface FixedType

Type of a signed fixed-point number

#### Category

Elementary types

#### Hierarchy

- FixedType

- Defined in codec/lib/format/types.ts:164

#####
Index

### Properties

bits
places
typeClass
typeHint?

## Properties

### bits

bits: number

- Defined in codec/lib/format/types.ts:166

### places

places: number

- Defined in codec/lib/format/types.ts:167

### typeClass

typeClass: "fixed"

- Defined in codec/lib/format/types.ts:165

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:168

Generated using TypeDoc